#ifndef AMPEL_LORAWAN_H_
#define AMPEL_LORAWAN_H_
#if defined(ESP32)
#include <Arduino.h>
#include <lmic.h>
#include <hal/hal.h>
#include <SPI.h>
typedef uint8_t u1_t;

//TODO: Should lmic_project_config.h be defined somewhere?
//#include <lmic_project_config.h>

#include "co2_sensor.h"
#include "led_effects.h"
#include "config.h"

#include "util.h"

namespace config {
  extern uint16_t lorawan_sending_interval; // [s]
}

namespace lorawan {
  extern bool waiting_for_confirmation;
  extern bool connected;
  extern String last_transmission;
  void initialize();
  void process();
  void preparePayloadIfTimehasCome();
}

#endif
#endif
